> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-ui-builder/17.latest/filtering/global-filters.md).

# Global Filters

Learn how to configure a global filter in Umbraco UI Builder.

Use global filters to work with a specific subset of data within a collection. These filters apply to all queries for a given collection.

## Applying a Global Filter

Configure global filters in the [Collections](/umbraco-ui-builder/17.latest/collections/overview.md) settings.

### Using the `SetFilter()` Method

Defines a filter using a **where clause** expression. The expression must return a `boolean` value.

#### Method Syntax

```cs
SetFilter(Lambda whereClauseExpression) : CollectionConfigBuilder<TEntityType>
```

#### Example

```csharp
collectionConfig.SetFilter(p => p.Current);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-ui-builder/17.latest/filtering/global-filters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
